OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_IntercharacterSpacing Class Reference

defines IGESIntercharacterSpacing, Type <406> Form <18>
in package IGESGraph

`#include <IGESGraph_IntercharacterSpacing.hxx>`

Inheritance diagram for IGESGraph_IntercharacterSpacing:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_IntercharacterSpacing ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Real anISpace)
| This method is used to set the fields of the class IntercharacterSpacing - nbProps : Number of property values (NP = 1) - anISpace : Intercharacter spacing percentage .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Real | ISpace () const
| returns the Intercharacter Space of <me> in percentage of the text height (Range = 0..100)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Standard_Real | theISpace

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_IntercharacterSpacing::IGESGraph_IntercharacterSpacing | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_IntercharacterSpacing::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_IntercharacterSpacing::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Real | anISpace
| ) |

Standard_EXPORT Standard_Real IGESGraph_IntercharacterSpacing::ISpace | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_IntercharacterSpacing::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Real IGESGraph_IntercharacterSpacing::theISpace`[private]`

Standard_Integer IGESGraph_IntercharacterSpacing::theNbPropertyValues`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_IntercharacterSpacing.hxx